Bug 1283276 - ice in cris-linux-gnu-gcc with -O2
ice in cris-linux-gnu-gcc with -O2
Status: NEW
Product: Fedora
Classification: Fedora
Component: cross-gcc (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Howells
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 10:17 EST by David Binderman
Modified: 2017-02-28 04:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped C source code (191.43 KB, application/x-gzip)
2015-11-18 10:17 EST, David Binderman
no flags Details
Reduced testcase (1.25 KB, text/plain)
2015-11-25 07:33 EST, David Howells
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 68538 None None None Never

  None (edit)
Description David Binderman 2015-11-18 10:17:19 EST
Created attachment 1096125 [details]
gzipped C source code

Description of problem:

$ cris-linux-gnu-gcc -O2 -c bug248.c
block/cfq-iosched.c: In function ‘cfq_completed_request’:
block/cfq-iosched.c:4253:1: internal compiler error: in gen_reg_rtx, at emit-rtl.c:1027
Please submit a full bug report,


Version-Release number of selected component (if applicable):

$ cris-linux-gnu-gcc -v
gcc version 5.1.1 20150618 (Red Hat Cross 5.1.1-3) (GCC) 

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 David Howells 2015-11-25 07:33 EST
Created attachment 1098782 [details]
Reduced testcase
Comment 2 Fedora End Of Life 2016-11-24 08:33:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 David Binderman 2016-11-24 10:49:09 EST
Still broken in fedora 25, for compiler version 6.1.1, dated 20160621.
Comment 4 Fedora End Of Life 2017-02-28 04:50:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.